using UnityEngine;
using System.Collections;

// subclass this for each scene
public class Scene : MonoBehaviour
{
	public virtual void Awake ()
	{
		
	}
	
	public virtual void UpdateScene()
	{
		
	}
	
	public virtual void activate()
	{
		
	}
	
	public virtual void deactivate()
	{
		
	}
	
	public virtual void Pause()
	{
		
	}
	
	public virtual void Unpause()
	{
		
	}
}





















